Skip to content

data_retrieve

GET
/api/data/{id}
curl --request GET \
--url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

Retrieve a Data item’s information.

id
required
string format: uuid

A UUID string identifying this data.

X-Workspace
required
string format: uuid

Workspace ID

Media typeapplication/json

Serializer for Data.

object
id
required
string format: uuid
name
required
string
description
required
string
nullable
connection
required
string format: uuid
external_id
required
string
<= 1000 characters
submission
required

Retrieve submission-related information linked to the given Data object.

Parameters

obj : Data The Data object for which to fetch submission information.

Returns

list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.

Array<object>
object
key
additional properties
size
required

Return the size of the object in octets.

Parameters

obj : Data The object for which to determine the size.

Returns

dict A dictionary containing the size of the object and the unit “octets”.

object
key
additional properties
icon
required
string
nullable
type
required
string
nullable
media_type
required
string
nullable
file_extension
required
string
nullable
external_accesses
required

Retrieve external access values for the given object.

Parameters

obj : Data The object used to retrieve external access values based on its external_id attribute.

Returns

list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.

Array<object>
object
key
additional properties
created_time
required
string format: date-time
last_update_time
required
string format: date-time
workspace
required
string format: uuid
data_access
required

Retrieve data access right value for the current user.

Parameters

obj : Data The object used to retrieve access right value.

Returns

dict A list of dictionaries containing the access right and last updated type and last verification time.

object
key
additional properties
datalinks
required

Retrieve datalink to access the current data.

Parameters

obj : Data The object used to retrieve datalink for.

Returns

list[dict] A list of dictionaries containing the datalinks.

Array<object>
object
key
additional properties
status
required
string
Allowed values: active in progress failed
enrichment_error
required

Why the enrichment failed, as {code, message}

nullable
enrichment_task_id
required

Celery task ID of the last async enrichment

string format: uuid
nullable

Example

{
"status": "active"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}